Author Topic: wxWidgets 2.8.0 problem  (Read 6940 times)

Offline inestical

  • Single posting newcomer
  • *
  • Posts: 5
wxWidgets 2.8.0 problem
« on: February 17, 2007, 10:36:43 pm »
Hello,

I'm pretty sure ye will bash me down.

Anyways, I cannot build template (or any project actually) using wxWidgets, since prebuilding gives only this error:

...\include\wx\chkconf.h 1777  #error "wxClipboard requires wxDataObject"

I'm pretty sure I've done right things:

cleaned/built wx install using mingw, set the custom variable to point to the folder with all the files and
set libraries and directories

am I missing something?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6672
    • My Best Post
Re: wxWidgets 2.8.0 problem
« Reply #1 on: February 17, 2007, 10:49:34 pm »
Are you using the standard Code::Blocks (without any user applied patches or plugins)?
What is the SVN Number or are you using RC2?
Did you build Code::Blocks yourself or download it?
If compiled Code::Blocks yourself from source, which wxWidgets version was used?
What OS? (XP, 98 or etc.)

Tim S
« Last Edit: February 17, 2007, 10:53:44 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline inestical

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.8.0 problem
« Reply #2 on: February 17, 2007, 11:01:00 pm »
arr..
sorry for the techincal details;

standard downloaded Code::Blocks 1.0 RC2
Windows Xp SP2 Professional

anything else?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6672
    • My Best Post
Re: wxWidgets 2.8.0 problem
« Reply #3 on: February 17, 2007, 11:06:01 pm »
I suggest upgrading to a nightly build.
Look at this forum http://forums.codeblocks.org/index.php?board=20.0.

RC2 was released way before 2.8 widgets and will never support it, in the last month the support for 2.8 widgets has been getting better all the time in the nightly builds.

Tim S
« Last Edit: February 17, 2007, 11:08:36 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline inestical

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.8.0 problem
« Reply #4 on: February 17, 2007, 11:20:09 pm »
yah..

E:\CodingDepartment\wxWidgets-2.8.0\include\wx\chkconf.h:1777: #error "wxClipboard requires wxDataObject"
:: === Build finished: 1 errors, 0 warnings ===

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6672
    • My Best Post
Re: wxWidgets 2.8.0 problem
« Reply #5 on: February 17, 2007, 11:43:34 pm »
yah..

E:\CodingDepartment\wxWidgets-2.8.0\include\wx\chkconf.h:1777: #error "wxClipboard requires wxDataObject"
:: === Build finished: 1 errors, 0 warnings ===


What command did you build wxWidgets 2.8.0 with?

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline inestical

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.8.0 problem
« Reply #6 on: February 17, 2007, 11:59:43 pm »
what do you mean?

btw, when using the wizard when starting new wxWidgets project, it says it does not find the Debug/Release folders in the wxW folder; indeed there is no bin folder..

I think I've dl'd the wrong package or something..

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6672
    • My Best Post
Re: wxWidgets 2.8.0 problem
« Reply #7 on: February 18, 2007, 12:54:38 am »
what do you mean?

btw, when using the wizard when starting new wxWidgets project, it says it does not find the Debug/Release folders in the wxW folder; indeed there is no bin folder..

I think I've dl'd the wrong package or something..

After downloading the source for wxWidgets 2.8, you have to compile it!

Note, you can instead download wxPack which comes with wxWidgets pre-compiled/built.

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline SamT

  • Multiple posting newcomer
  • *
  • Posts: 41
Re: wxWidgets 2.8.0 problem
« Reply #8 on: February 18, 2007, 03:24:03 am »

There is a video tutorial which post by T-Rex. You can take this as a reference.

http://www.wxwidgets.info/?q=wxwidgets28_and_codeblocks_video_win

Offline inestical

  • Single posting newcomer
  • *
  • Posts: 5
Re: wxWidgets 2.8.0 problem
« Reply #9 on: February 18, 2007, 11:28:45 am »
Quote
After downloading the source for wxWidgets 2.8, you have to compile it!

yeah, I did. took some nice amount of time tho.

still nothing.

EDIT: build it again (for third time) and it started working. like charm

thanks for the replies ;)
« Last Edit: February 18, 2007, 12:01:18 pm by inestical »